stages:
  - docs

pages:
  stage: docs
  image: python:3.8-buster

  before_script:
    - pip install -r requirements.txt

  script:
    - mkdocs build
    - mv site public
  artifacts:
    paths:
      - public
  only:
    - master
